
/********************************************
fin.h
copyright 1991, Michael D. Brennan

This is a source file for mawk, an implementation of
the AWK programming language.

Mawk is distributed without warranty under the terms of
the GNU General Public License, version 2, 1991.
********************************************/

/*$Log: fin.h,v $
 * Revision 1.1.1.1  1993/07/03  18:58:13  mike
 * move source to cvs
 *
 * Revision 5.2  1992/01/06  08:16:24  brennan
 * setmode() proto for MSDOS
 *
 * Revision 5.1  91/12/05  07:59:20  brennan
 * 1.1 pre-release
 * 
*/

/* fin.h */

#ifndef  FIN_H
#define  FIN_H
/* structure to control input files */

#define  MAIN_FLAG    1   /* part of main input stream if on */
#define  EOF_FLAG     2
#define  START_FLAG   4   /* used when RS == "" */

#define mawk_FIN_nomore -2

FIN *  PROTO (mawk_FINdopen, (mawk_state_t *, int, int) );
FIN *  PROTO (mawk_FINopen, (mawk_state_t *, char *, int) );
void   PROTO (mawk_FINclose, (mawk_state_t *, FIN *) ) ;
void   PROTO (mawk_FINsemi_close, (mawk_state_t *, FIN *)) ;
char*  PROTO (mawk_FINgets, (mawk_state_t *, FIN *, unsigned *) ) ;
unsigned PROTO ( mawk_fillbuff, (mawk_state_t *, int, char *, unsigned, FIN *) ) ;

void   PROTO( mawk_open_main, (mawk_state_t *MAWK) ) ;

void  PROTO(setmode, (int,int)) ;
#endif  /* FIN_H */
